<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
if(!isSet($_POST["host"]) || !isSet($_POST["host"])){
  echo("Nieprawidłowe wywołanie skryptu!");
}
else if($_POST["host"] == "" || $_POST["port"] == ""){
  echo("Brak nazwy hosta lub numeru portu!");
}
else{
  $host = $_POST["host"];
  $port = $_POST["port"];

  $port = intval($port);
  $fp = fsockopen ($host, $port, $errno, $errstr, 30);
  if(!$fp){
    echo("Błąd podczas próby nawiązania połączenia: $errstr ($errno)<br />\n");
  }
  else{
    fputs ($fp, "GET / HTTP/1.0\r\nHost: $host\r\n\r\n");
    while (!feof($fp)){
      $str = fgets ($fp,128);
      echo($str);
    }
    fclose ($fp);
  }
}
?>